OVH Community, votre nouvel espace communautaire.

Release 3 - Upgrade PHP


janus57
04/06/2015, 00h36
Bonjour,

comme dit le plus simple est d'utiliser un panel (Virtualmin par exemple qui ressemble à la R3 en terme de fonctionnalité) sur son OS de son choix et récent (Debian 8 / Ubuntu 14.04 LTS / CentOS 7 etc...) au moins là on est pratiquement sûr d'avoir les dernière version par exemple sur Debian 8 on a le couple Apache 2.4 + PHP 5.6 (avec OPCache) et c'est juste du bonheur.

Et au moins on est sûr de pas sortir de la release à la moindre commande SSH on fait ce qu'on veux et les MAJs sont relativement régulière.

Cordialement, janus57

pkoipas
04/06/2015, 00h28
Même réaction que toi en recevant ce mail ^^

ofye
03/06/2015, 22h56
Bonsoir,

Je trouve étrange de recevoir un mail d'OVH pour les MUTUS :

A partir du 24 Septembre 2015, OVH ne supportera plus les versions PHP obsolètes suivantes:
* PHP 4.x (fin de vie depuis + de 6 ans)
* PHP 5.2 (fin de vie depuis plus de 4 ans)
* PHP 5.3 (fin de vie depuis plus de 8 mois)

Alors que sur la RELEASE 3, on dispose de la 5.3 qui est en fin de vie depuis plus de 8 mois !

A quand un update de la R3 pour PHP ?

revoweb
01/06/2015, 15h30
Bonjour,

J'ai déjà réalisé l'opération d'installation d'une seconde version de PHP pour un client sur la Release3. Il suffit simplement de compiler la version souhaité de PHP, puis dans la configuration du domaine de mettre la localisation du PHP fraîchement compilé.

Ca fonctionne très bien depuis de nombreux mois ainsi.

Bon courage

janus57
28/05/2015, 14h50
Bonjour,

si vous voulez du PHP "moderne" le plus simple est d'abandonner la R3, sinon à la moindre config touché vous risquez de sortir de la R3.

Debian Jessie + Virtualmin ne devrais pas changer d'une R3 (en terme de fonctionnalité) et permet l'accès à PHP5.6, apache 2.4 etc...

Sinon vous pouvez toujours demander sur la ML de la R3.

Cordialement, janus57

jhonbauwens
28/05/2015, 14h12
Ola,

Je trouve nul part sur le web une solution fonctionnelle pour upgrader le PHP 5.3 qui est sur la release 3 vers la dernière version de PHP.

Quelqu'un sait-il comment faire pour ne pas détruire toute la configuration actuelle ? Ou avez-vous un tuto?

Comme ce n'est pas un centos standart, j'ai peur d'utiliser un tuto centos 6 pour upgrade php

Merci !